<%@ Page Language="C#" AutoEventWireup="true" Inherits="com.xykj.modulecontrol.Account" %>
<%@ Import Namespace="com.xykj.business.View.Account" %>
<%@ Import Namespace="com.xykj.common" %>
<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {/*
        var can = com.xykj.system.Security.CanLoginIP(new System.Collections.Generic.List<string>() { 
                 "122.111.11.41",
                 "127.0.0.1"
                });
        if (!can)
        {
            Response.Clear();
            Response.Write("IP禁止访问");
            Response.End();
            return;
        }*/
        Templat = "login";
        if (Administrator.Admin != null)
        {
            GroupManage gm = new GroupManage();
            var group = gm.GetGroupById(Administrator.Admin.Group);
            if (group.IsAdmin || group.Name == RuntimeConstants.DB.Administrator)
            {
                Response.Redirect(RuntimeConstants.ACCOUNT_MANAGE_DEFAULT, true);
            }
        }
    }
</script>
